import './assets/main.css'

import { createApp } from 'vue'
import { createPinia } from 'pinia'

import App from './App.vue'
import router from './router'
import i18n from './plugins/i18n'
import VueGtag from "vue-gtag-next";
import vuetify from './plugins/vuetify'

const app = createApp(App)

// Google tag (gtag.js)
app.use(VueGtag, {
  property: {
    id: "G-3N4C6P32Z5"
  }
});

app.use(createPinia())
app.use(router)
app.use(i18n)
app.use(vuetify)

app.mount('#app')
